"use strict";

const { validateValue } = require("@validatem/core");
const isPlainObject = require("./");

console.log(validateValue({ foo: "bar" }, [ isPlainObject ])); // { foo: 'bar' }

console.log(validateValue(new Date(), [ isPlainObject ])); /*
	AggregrateValidationError: One or more validation errors occurred:
	 - At (root): Must be a plain object (eg. object literal)
*/
