"use strict";

const ValidationError = require("@validatem/error");
const isPlainObj = require("is-plain-obj");

module.exports = function(value) {
	if (!isPlainObj(value)) {
		throw new ValidationError("Must be a plain object (eg. object literal)");
	}
};
